# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.3")
   message(FATAL_ERROR "CMake >= 2.8.3 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.3...3.25)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS nvbench::nvbench nvbench::main nvbench::internal_build_interface nvbench::ctl)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target nvbench::nvbench
add_library(nvbench::nvbench SHARED IMPORTED)

set_target_properties(nvbench::nvbench PROPERTIES
  INTERFACE_COMPILE_FEATURES "cuda_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "CUDA::toolkit;fmt::fmt"
)

# Create imported target nvbench::main
add_library(nvbench::main OBJECT IMPORTED)

set_target_properties(nvbench::main PROPERTIES
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:nvbench::internal_build_interface>;nvbench::nvbench"
)

# Create imported target nvbench::internal_build_interface
add_library(nvbench::internal_build_interface INTERFACE IMPORTED)

set_target_properties(nvbench::internal_build_interface PROPERTIES
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:CXX>:-Wall>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Wall>;\$<\$<COMPILE_LANGUAGE:CXX>:-Wextra>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Wextra>;\$<\$<COMPILE_LANGUAGE:CXX>:-Wconversion>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Wconversion>;\$<\$<COMPILE_LANGUAGE:CXX>:-Woverloaded-virtual>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Woverloaded-virtual>;\$<\$<COMPILE_LANGUAGE:CXX>:-Wcast-qual>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Wcast-qual>;\$<\$<COMPILE_LANGUAGE:CXX>:-Wpointer-arith>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Wpointer-arith>;\$<\$<COMPILE_LANGUAGE:CXX>:-Wunused-parameter>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Wunused-parameter>;\$<\$<COMPILE_LANGUAGE:CXX>:-Wvla>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcompiler=-Wvla>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Xcudafe=--display_error_number>;\$<\$<COMPILE_LANG_AND_ID:CUDA,NVIDIA>:-Wno-deprecated-gpu-targets>"
  INTERFACE_LINK_LIBRARIES "stdc++fs"
)

# Create imported target nvbench::ctl
add_executable(nvbench::ctl IMPORTED)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/nvbench-targets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
    if(NOT EXISTS "${_cmake_file}")
      message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
